Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.java.ao.schema
Class SchemaGenerator

    java.lang.Object
      net.java.ao.schema.SchemaGenerator

    public final class SchemaGenerator

extends Object

WARNING: Not part of the public API. This class is public only to allow its use within other packages in the ActiveObjects library.

Author:
  Daniel Spiewak

Constructor Summary
`SchemaGenerator()`

Method Summary
`static void` | `migrate(DatabaseProvider provider, SchemaConfiguration schemaConfiguration, TableNameConverter nameConverter, FieldNameConverter fieldConverter, Class<? extends RawEntity<?>>... classes)`
`static DDLField[]` | `parseFields(Class<? extends RawEntity<?>> clazz, FieldNameConverter fieldConverter)` Not intended for public usage.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SchemaGenerator

    public SchemaGenerator()

Method Detail

### migrate

    public static void migrate(DatabaseProvider provider,
                               SchemaConfiguration schemaConfiguration,
                               TableNameConverter nameConverter,
                               FieldNameConverter fieldConverter,
                               Class<? extends RawEntity<?>>... classes)
                        throws SQLException

  Throws:
    `SQLException`

### parseFields

    public static DDLField[] parseFields(Class<? extends RawEntity<?>> clazz,
                                         FieldNameConverter fieldConverter)

  Not intended for public usage. This method is declared `public` only to enable use within other ActiveObjects packages. Consider this function unsupported.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2011. All Rights Reserved.